## EomPlugin EomPlugin |

## Functions

#define | EOM_PLUGIN_CONST()
void | eom_plugin_activate ()
void | eom_plugin_deactivate ()
void | eom_plugin_update_ui ()
gboolean | eom_plugin_is_configurable ()
GtkWidget * | eom_plugin_create_configure_dialog ()
#define | EOM_PLUGIN_REGISTER_TYPE_WITH_CODE()
#define | EOM_PLUGIN_REGISTER_TYPE()
#define | EOM_PLUGIN_DEFINE_TYPE_WITH_CODE()
#define | EOM_PLUGIN_DEFINE_TYPE()

## Types and Values

struct | EomPlugin

## Object Hierarchy

        GObject
        ╰── EomPlugin

## Description

## Functions

### EOM_PLUGIN_CONST()

    #define EOM_PLUGIN_CONST(obj)      (G_TYPE_CHECK_INSTANCE_CAST((obj), EOM_TYPE_PLUGIN, EomPlugin const))

### eom_plugin_activate ()

    void
    eom_plugin_activate (EomPlugin *plugin,
                         EomWindow *window);

### eom_plugin_deactivate ()

    void
    eom_plugin_deactivate (EomPlugin *plugin,
                           EomWindow *window);

### eom_plugin_update_ui ()

    void
    eom_plugin_update_ui (EomPlugin *plugin,
                          EomWindow *window);

### eom_plugin_is_configurable ()

    gboolean
    eom_plugin_is_configurable (EomPlugin *plugin);

#### Returns

### eom_plugin_create_configure_dialog ()

    GtkWidget *
    eom_plugin_create_configure_dialog (EomPlugin *plugin);

#### Returns

### EOM_PLUGIN_REGISTER_TYPE_WITH_CODE()

    #define             EOM_PLUGIN_REGISTER_TYPE_WITH_CODE(PluginName, plugin_name, CODE)

### EOM_PLUGIN_REGISTER_TYPE()

    #define             EOM_PLUGIN_REGISTER_TYPE(PluginName, plugin_name)

### EOM_PLUGIN_DEFINE_TYPE_WITH_CODE()

    #define             EOM_PLUGIN_DEFINE_TYPE_WITH_CODE(ObjectName, object_name, PARENT_TYPE, CODE)

### EOM_PLUGIN_DEFINE_TYPE()

    #define             EOM_PLUGIN_DEFINE_TYPE(ObjectName, object_name, PARENT_TYPE)

## Types and Values

### struct EomPlugin

    struct EomPlugin;